> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/classes/spotlight.md).

# SpotLight

SpotLight : `Light`

## Overview

A SpotLight is a lighting object that emits light in a cone-shaped beam, making it ideal for highlighting the direction of light, such as in flashlights, stage lights, or vehicle headlights.

It must be parented to a BasePart or Attachment to work, and it emits light based on the specified Face direction

## Properties

### Angle

`number`

This property sets the spread angle of the cone-shaped light beam.

#### Code Samples

```lua
local SpotLight = script.Parent

print(SpotLight.Angle)
```

### Face

`Enum.NormalId`

This property determines which face of the parent object emits the light.

#### Code Samples

```lua
local SpotLight = script.Parent

print(SpotLight.Face)
```

### Range

`number`

This property sets the distance over which the light is projected.

#### Code Samples

```lua
local SpotLight = script.Parent

print(SpotLight.Range)
```

## Methods

## Events

## See also

{% content-ref url="/pages/3KvY0jqe4oODQNMi9cxP" %}
[Lighting](/manual/studio-manual/object/lighting.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/spotlight.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
